INCLUDES = -I$(srcdir)/../extensions/childpanel -I$(srcdir)/../core -I$(srcdir)/../buttons -I$(srcdir)/../share -I$(top_srcdir)/libkonq -I$(top_srcdir)/kdmlib -I$(top_builddir)/kicker/core -I$(top_builddir)/kicker/share $(all_includes)

noinst_LTLIBRARIES = libkicker_ui.la

libkicker_ui_la_SOURCES = addbutton_mnu.cpp addapplet_mnu.cpp appletop_mnu.cpp \
        browser_mnu.cpp client_mnu.cpp dirdrop_mnu.cpp \
        nonKDEButtonSettings.ui exe_dlg.cpp k_mnu.cpp \
        quickbrowser_mnu.cpp service_mnu.cpp \
        addextension_mnu.cpp extensionop_mnu.cpp \
        addcontainer_mnu.cpp recentapps.cpp browser_dlg.cpp \
        removeapplet_mnu.cpp removeextension_mnu.cpp removecontainer_mnu.cpp \
        addspecialbutton_mnu.cpp removespecialbutton_mnu.cpp \
        removebutton_mnu.cpp popupmenutitle.cpp hidebutton.cpp

libkicker_ui_la_LIBADD = $(top_builddir)/libkonq/libkonq.la $(top_builddir)/kdmlib/libdmctl.la

libkicker_ui_la_METASOURCES = AUTO

noinst_HEADERS = addbutton_mnu.h addapplet_mnu.h appletop_mnu.h \
		browser_mnu.h client_mnu.h dirdrop_mnu.h exe_dlg.h k_mnu.h \
		quickbrowser_mnu.h service_mnu.h \
		addextension_mnu.h extensionop_mnu.h \
		addcontainer_mnu.h recentapps.h browser_dlg.h \
		removeapplet_mnu.h removeextension_mnu.h removecontainer_mnu.h \
		addspecialbutton_mnu.h removespecialbutton_mnu.h \
		removebutton_mnu.h popupmenutitle.h hidebutton.h

removecontainer_mnu.lo: ../share/kickerSettings.h
removeextension_mnu.lo: ../share/kickerSettings.h
addextension_mnu.lo: ../core/extensionSettings.h
appletop_mnu.lo: ../share/kickerSettings.h
extensionop_mnu.lo: ../share/kickerSettings.h
k_mnu.lo: ../share/kickerSettings.h
removecontainer_mnu.lo: ../core/extensionSettings.h
removeextension_mnu.lo: ../core/extensionSettings.h
service_mnu.lo: ../share/kickerSettings.h

